#ifndef MPP_MPP_WINDOW_H
#define MPP_MPP_WINDOW_H

#define FL_DEVICE

#include <FL/Fl_Menu_Bar.H>
#include <FL/Fl_Window.H>

#include <mpp/mpp.h>
#include <mpp/canvas.h>
#include <mpp/table.h>

namespace mpp
{
class Mpp_window: public Window, public Fl_Window
{
public:
    Mpp_window(int w=600, int h=400, const char *name="Mpp Window");
    Mpp_window(const char *name);
    Fl_Menu_Bar menubar;
    Canvas canvas;
    Table table;
    void set_new_mode();
    void draw() {
        Fl_Window::draw();
    }
    void show() {
        Fl_Window::show();
    }
    void hide() {
        Fl_Window::hide();
    }
    const char * label() {
        return Fl_Window::label();
    };
};
};
#endif
