#include <FL/Fl.H>

#include <mpp/table.h>
#include <mpp/manager.h>

namespace mpp
{
// window
Table::Table(int w, int h, const char * name): Fl_Window(w, h, name) {
    y1=5;
    end();
    mpp_end();
    if (mpp::visible()) show();
}

// window
Table::Table(const char * name): Fl_Window(250, 300, name) {
    end();
    mpp_end();
    if (mpp::visible()) show();
    y1=5;
}

// widget
Table::Table(int x, int y, int w, int h, const char * name): Fl_Window(x, y, w, h, name) {
    y1=5;
    end();
    mpp_end();
}

int Table::handle(int event ) {
    int ret=Fl_Window::handle(event);

    switch(event) {
    case FL_PUSH:
        if (Fl::event_button()==3)
            mpp::manager->show();
    }
    return ret;
}

}
