// Simple mpp application
#include <mpp/mpp_window.h>

using namespace mpp;

Scale scale(-1,1,-1,1);
double x,y;

void f(double x_, double y_){
    x=x_;
    y=y_;
    ask_update();
}

int main(){
	Mpp_window win;
	win.table.add_item("x = ", x);
	win.table.add_item("y = ", y);
	win.canvas.scale(scale);
	win.canvas.set_on_click(f);
	return run();	
}
