#include <mpp/mpp_window.h>
#include <mpp/draw.h>

//#include "hm.h"

using namespace mpp;

int draw_time;
int iterration=6;
double tpp, tpc, tpb;
Mpp_window win(710, 500);

Scale s1(-10, 510, -10, 510);
void fdraw(){
   unsigned long long t1, t2;   
   set_scale(s1);

   int w=800, h=800;
   unsigned char *map = new unsigned char[w*h];
   rdtscll(t1);
   for (int i=0; i<h; i++)
   for(int j=0; j<w; j++)
      map[i*w+j]=(uchar)(i+j);

   fl_draw_image_mono(map, transx(0), transy(500), w, h);
   rdtscll(t2);
   tpb=double(t2-t1);
            
   int num=220;
   rdtscll(t1);
   for (int k=0; k<iterration-1; k++){
      fl_color(k*50, k*50, k*50);
      for (int i=0; i<num; i++) 
         for (int j=0; j<num; j++) 
            point(i, j);
   } 
   rdtscll(t2);
   tpp=(double)(t2-t1)/(iterration*num*num);

   rdtscll(t1);
   num/=10;
   for (int k=0; k<iterration-1; k++){
      fl_color(k*50, k*50, k*50);
      for (int i=0; i<num; i++) 
         for (int j=0; j<num; j++) 
            circle(i*10+250, j*10+250, 5);
   } 
   rdtscll(t2);
   tpc=(double)(t2-t1)/(iterration*num*num*0.01);  
	win.table.ask_update();
	delete[] map;
}

  
int main(void){
   win.table.add_item("ticks per point",  tpp, 1);
   win.table.add_item("ticks per circle", tpc, 1);
   win.table.add_item("bitblit 800x800", tpb, 1);
   win.canvas.add_shape(new User_draw(fdraw));
   win.canvas.scale(s1);	
   return run();
}
