// Orbit test
////////////////////////////////////////////////////////////
#include <sys/unistd.h>
#include <stdlib.h>

#include <FL/Fl.H>

#include <mpp/mpp_window.h>
#include <mpp/draw.h>

using namespace mpp;

const int sz=1000;
double val[sz];
Mpp_window win;                

Scale scale(-0.1, 1.1, 0.0, 20); 
Hist hist(100, 0, 1, FL_RED, scale);        

void ff(){
	//while (may_i_repeat()){             
		for (int i=0; i<sz; i++)
			val[i]=rand()*1./RAND_MAX;
		hist.set(val,sz);		
		ask_update();		
		//usleep(100);
	//}
}

int main(void){                                                 	
	win.canvas.add_shape(&hist);
	win.canvas.scale(scale);
	set_work2(ff);  
	start();
	return run();
}
