#include <complex>
#include <string>

#include <mpp/table.h>
#include <mpp/scale.h>

using namespace std;
using namespace mpp;

int main(){
	Table table("Table example"); 

    int var_int=11;
    double var_float=33.33;
    complex<double> var_z(1.1,2.2);
	string str("string example");
	Scale scale(-1,1,-1,1);
    
    table.add_item("int ", var_int);
    table.add_item("float ", var_float);
	table.add_item("complex ", var_z);
	table.add_item("string ", str);
	table.add_item("scale ", scale);
    table.add_item("not editable", var_float, 1);
    
    return run();
}

